OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.PixelRectangles.Histogram

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

# Documentation

data Sink

Constructors

PassThrough |
Sink |

Instances

Eq Sink |
Ord Sink |
Show Sink |

histogram :: Proxy -> StateVar (Maybe (GLsizei, PixelInternalFormat, Sink))

data Reset

Constructors

NoReset |
Reset |

Instances

Eq Reset |
Ord Reset |
Show Reset |

getHistogram :: Reset -> PixelData a -> IO ()

resetHistogram :: IO ()

histogramRGBASizes :: Proxy -> GettableStateVar (Color4 GLsizei)

histogramLuminanceSize :: Proxy -> GettableStateVar GLsizei